### Function

# EDataServer xml_new_xpath_context_with_namespaces

since: 3.26

#### Declaration [src]

    xmlXPathContext*
    e_xml_new_xpath_context_with_namespaces (
      xmlDoc* doc,
      ...
    )

#### Description [src]

Creates a new #xmlXPathContextPtr on `doc` with preregistered namespaces. The namepsaces are pair of (prefix, href), terminated by `NULL`.

Available since: 3.26

This function is not directly available to language bindings.

#### Parameters

`doc`

  Type: `xmlDoc`

  An #xmlDocPtr.

  The data is owned by the caller of the function.

`...`

  Type: ``

  `NULL`-terminated list of pairs (prefix, href) with namespaces.

#### Return value

Type: `xmlXPathContext*`

A new #xmlXPathContextPtr. Free the returned pointer with xmlXPathFreeContext() when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.